function hp = final_create_random_physical_hp(n, dt)

    tau=0.1; % time delay
    s=tf('s'); % transfer variable
    pade = (1-0.5*tau*s)/(1+0.5*tau*s);
    skogestad = 1-tau*s;

    csys=rss(n,1,1); % create physical csys
    
    while any(abs(real(eig(csys.a)))<0.001);
        csys=rss(n,1,1);
    end
    dsys = c2d(csys,dt); % convert to dsys
    dsys.d = 0;

    % converting to continous and adding (possible) time delay
    p = pole(dsys);
    if (min(abs(p))<0.00001)
        csys = d2c(dsys,'tustin');
    else
        csys = d2c(dsys,'zoh');
    end
    [b1,a1]=ss2tf(csys.a,csys.b,csys.c,0);
    hp=tf(b1,a1)*exp(-tau*s);
    % hp=tf(b1,a1)*skogestad;
    % hp=tf(b1,a1)*pade;
    % hp=tf(b1,a1);
end